API Reference for Marketo Engage

Sync Custom Object Type

POST /rest/v1/customobjects/schema.json

Inserts, updates, or upserts custom object type record to the target instance.

Operation ID
syncCustomObjectTypeUsingPOST
Permissions
Read-Write Custom Object Type
Request format
application/json
Returns
ResponseOfCustomObjectType

Request body

application/json · required · SyncCustomObjectTypeRequest · 6 properties

action string

Type of sync operation to perform. Default is createOrUpdate.

Values createOnly updateOnly createOrUpdate

displayName string required

UI display-name of the custom object type

apiName string required

API name of the custom object type

pluralName string

UI plural-name of the custom object type

description string

Description of the custom object type

showInLeadDetail boolean

Whether to show custom object type in lead detail of UI. Default is false

Responses

200 OK ResponseOfCustomObjectType
errors array of Error required

Array of errors that occurred if the request was unsuccessful

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

requestId string required

Id of the request made

result array of Empty required

Empty array

success boolean required

Whether the request succeeded

warnings array of Warning required

Array of warnings given for the operation

Model Warning

code integer (int32) required

Integer code of the warning

message string required

Message describing the warning

Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    "string"
  ],
  "success": false,
  "warnings": [
    {
      "code": 123,
      "message": "string"
    }
  ]
}

Referenced models

Generated from swagger-mapi.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results